<?php

namespace App\Models;

use Illuminate\Notifications\Notifiable;
use Illuminate\Database\Eloquent\Model;

class Items extends Model
{
   use Notifiable;

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    // protected $fillable = [
    //     'ItemName','ItemPhoto','ItemStatus','ItemType',
    // ];
    protected $table = 'items';
    // protected $fillable = [
    //     'LineNumber',
    //     'Floor',
    //     'Location',
    //     'DoorNumber',
    //     'DoorQuantity',
    //     'SOHeight',
    //     'SOWidth',
    //     'SOWallThick',
    //     'DoorType',
    //     'DoorLeafFinish',
    //     'DoorLeafFacing',
    //     'LeafWidth1',
    //     'LeafWidth2',
    //     'LeafHeight',
    //     'Undercut',
    //     'IntumescentSeal',
    //     'UserId',
    //     ''

    // ];

    protected $fillable = [
        'itemId',
        'LeafConstruction',
        'DoorType',
        'DoorNumber',
        'LineNumber',
        'FireRating',
        'DoorsetType',
        'SwingType',
        'LatchType',
        'Overpanel',
        'OPLippingThickness',
        'OPWidth',
        'OPHeigth',
        'OPTransom',
        'TransomThickness',
        'OPGlassType',
        'OPGlazingBeads',
        'OPGlazingBeadSpecies',
        'DoorQuantity',
        'Floor',
        'Location',
        'Tollerance',
        'Undercut',
        'FloorFinish',
        'GAP',
        'FrameThickness',
        'SOWidth',
        'SOHeight',
        'SOWallThick',
        'DoorLeafFinish',
        'LeafWidth1',
        'LeafWidth2',
        'LeafHeight',
        'LeafThickness',
        'DoorLeafFacing',
        'DoorLeafFacingValue',
        'DoorLeafFinishColor',
        'DecorativeGroves',
        'Leaf1VisionPanel',
        'VisionPanelQuantity',
        'DistanceFromtopOfDoor',
        'DistanceBetweenVPs',
        'Leaf1VPWidth',
        'Leaf1VPHeight1',
        'Leaf1VPHeight2',
        'Leaf1VPHeight3',
        'Leaf1VPHeight4',
        'Leaf1VPHeight5',
        'Leaf1VPAreaSizem2',
        'Leaf2VisionPanel',
        'sVPSameAsLeaf1',
        'Leaf2VisionPanelQuantity',
        'AreVPsEqualSizesForLeaf2',
        'DistanceFromTopOfDoorForLeaf2',
        'DistanceBetweenVp',
        'Leaf2VPWidth',
        'Leaf2VPHeight1',
        'Leaf2VPHeight2',
        'Leaf2VPHeight3',
        'Leaf2VPHeight4',
        'Leaf2VPHeight5',
        'GlassIntegrity',
        'GlassType',
        'GlassThickness',
        'GlazingSystems',
        'GlazingSystemThickness',
        'GlazingBeads',
        'GlazingBeadsThickness',
        'GlazingBeadSpecies',
        'FrameMaterial',
        'FrameType',
        'Dimensions',
        'FrameWidth',
        'FrameHeight',
        'FrameDepth',
        'FrameMaterialThickness',
        'FrameFinish',
        'ExtLiner',
        'ExtLinerValue',
        'ExtLinerSize',
        'ExtLinerThickness',
        'ExtLinerFInish',
        'IntumescentSeal',
        'IntumescentSealColor',
        'IntumescentSealSize',
        'IronmongerySet',
        'SpecialFeatureRefs',
        'SideLight1',
        'SideLight1GlassType',
        'BeadingType',
        'SL1GlazingBeadSpecies',
        'SL1Width',
        'SL1Height',
        'SL1Depth',
        'SL1Transom',
        'SideLight2',
        'DoYouWantToCopySameAsSL1',
        'SideLight2GlassType',
        'SideLight2BeadingType',
        'SideLight2GlazingBeadSpecies',
        'SL2Width',
        'SL2Height',
        'SL2Depth',
        'SL2Transom',
        'LippingType',
        'LippingThickness',
        'LippingSpecies',
        'MeetingStyle',
        'ScallopedLippingThickness',
        'FlatLippingThickness',
        'RebatedLippingThickness',
        'CoreWidth1',
        'IntumescentLeapingSealType',
        'IntumescentLeapingSealLocation',
        'IntumescentLeapingSealColor',
        'IntumescentLeapingSealArrangement',
        'Accoustics',
        'rWdBRating',
        'AccousticsJambs',
        'AccousticsHead',
        'AccousticsThresholdSeal',
        'AccousticsSeal',
        'AccousticsMeetingStiles',
        'AccousticsGlassType',
        'ArchitraveMaterial',
        'ArchitraveType',
        'ArchitraveWidth',
        'ArchitraveDepth',
        'ArchitraveFinish',
        'ArchitraveSetQty',
        'Hinges',
        'FloorSpring',
        'LocksAndLatches',
        'FlushBolts',
        'ConcealedOverheadCloser',
        'PullHandles',
        'PushHandles',
        'KickPlates',
        'DoorSelectors',
        'PanicHardware',
        'Doorsecurityviewer',
        'Morticeddropdownseals',
        'Facefixeddropseals',
        'ThresholdSeal',
        'AirTransferGrill',
        'Letterplates',
        'CableWays',
        'SafeHinge',
        'LeverHandle',
        'DoorSinage',
        'FaceFixedDoorCloser',
        'Thumbturn',
        'KeyholeEscutchen',
        'VehicleType',
        'DeliveryTime',
        'Packaging',
        'DoorsetPrice',
        'IronmongaryPrice',
        'UserId',
        'QuotationId',
        'DoorScheduleId',
    ];
    /**
     * The attributes that should be hidden for arrays.
     *
     * @var array
     */
    protected $hidden = [
        'remember_token',
    ];

    public function ItemCategory(){
        return $this->hasMany(ItemCategory::class,'ItemId');
    }
}
